# PhasicFlow: src/phasicFlow/dictionary/entry/iEntry.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

iEntry.hpp File Reference
Include dependency graph for iEntry.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | iEntry
| Interface calss for data entry and dictionary More...

## Namespaces

| pFlow

## Functions

iOstream & | operator<< (iOstream &os, const iEntry &e)
iIstream & | operator>> (iIstream &is, iEntry &e)